org.richfaces.component

## Interface NotifyAttributes

- All Known Implementing Classes:
    AbstractNotify, AbstractNotifyMessage, AbstractNotifyMessages, HtmlNotifyMessage, HtmlNotifyMessages, UINotify, UINotifyMessage, UINotifyMessages

      public interface NotifyAttributes

  Author:
    Bernard Labno

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Double` | `getNonblockingOpacity()`
    `String` | `getStack()`
    `Integer` | `getStayTime()`
    `String` | `getStyleClass()`
    `boolean` | `isNonblocking()`
    `boolean` | `isShowCloseButton()`
    `boolean` | `isShowShadow()`
    `boolean` | `isSticky()`
    `void` | `setNonblocking(boolean nonblocking)`
    `void` | `setNonblockingOpacity(Double nonblockingOpacity)`
    `void` | `setShowCloseButton(boolean showCloseButton)`
    `void` | `setShowShadow(boolean showShadow)`
    `void` | `setStack(String stack)`
    `void` | `setStayTime(Integer time)`
    `void` | `setSticky(boolean sticky)`
    `void` | `setStyleClass(String styleClass)`

- - ### Method Detail

    - #### isSticky

          boolean isSticky()

    - #### setSticky

          void setSticky(boolean sticky)

    - #### getStayTime

          Integer getStayTime()

    - #### setStayTime

          void setStayTime(Integer time)

    - #### getStyleClass

          String getStyleClass()

    - #### setStyleClass

          void setStyleClass(String styleClass)

    - #### isNonblocking

          boolean isNonblocking()

    - #### setNonblocking

          void setNonblocking(boolean nonblocking)

    - #### isShowShadow

          boolean isShowShadow()

    - #### setShowShadow

          void setShowShadow(boolean showShadow)

    - #### isShowCloseButton

          boolean isShowCloseButton()

    - #### setShowCloseButton

          void setShowCloseButton(boolean showCloseButton)

    - #### getNonblockingOpacity

          Double getNonblockingOpacity()

    - #### setNonblockingOpacity

          void setNonblockingOpacity(Double nonblockingOpacity)

    - #### getStack

          String getStack()

    - #### setStack

          void setStack(String stack)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.